## retroarch-dmo 1.9.7

=== debian/changelog ===
retroarch-dmo (1.9.7-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 25 Jul 2021 08:39:21 +0200

retroarch-dmo (1.9.6-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 27 Jun 2021 08:47:00 +0200

retroarch-dmo (1.9.5-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 14 Jun 2021 09:23:25 +0200

retroarch-dmo (1.9.4-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 29 May 2021 01:03:34 +0200

retroarch-dmo (1.9.3-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 May 2021 09:10:23 +0200

retroarch-dmo (1.9.2-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 May 2021 01:55:01 +0200

retroarch-dmo (1.9.1-0.1) unstable; urgency=medium

  * In default configuration file set :
    rgui_config_directory to /usr/share/libretro/assets/xmb was
    ~/.config/retroarch/config/
    content_directory set to /usr/share/libretro/assets was
    set to nothing.
    Set assets_directory to /usr/share/libretro/assets/

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 29 Mar 2021 18:46:10 +0200

retroarch-dmo (1.9.1-0.0) unstable; urgency=medium

  * New upstream release.
  * Disable build with system glslang and spirv-tools

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 29 Mar 2021 15:45:46 +0200

retroarch-dmo (1.9.0-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 30 Nov 2020 15:37:11 +0100

retroarch (1.7.3+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix Ftbfs: add missing dependency libx11-xcb-dev (Closes: #949282)
  * Remove unnecessary dependency libc6-dev (Closes: #866733)
  * Fix lintian error: typo in debian/copyright

 -- Emfox Zhou <emfox@debian.org>  Tue, 11 Feb 2020 13:13:03 +0800

retroarch (1.7.3+dfsg1-1) unstable; urgency=low

  * New upstream release (Closes: #878252).
  * Declare compliance with Debian Policy 4.0.1.
  * Switch to compat level 10.
  * Upstream no longer uses libglm-dev.
  * Added libminiupnpc-dev dependency.
  * Added AppStream desktop meta-info file.

 -- Sérgio Benjamim <sergio_br2@yahoo.com.br>  Wed, 06 Jun 2018 21:27:00 -0300

retroarch (1.4.1+dfsg1-1) experimental; urgency=low

  * New upstream release.
  * Add symlinks to filters and app icon.

 -- Sérgio Benjamim <sergio_br2@yahoo.com.br>  Sun, 26 Feb 2017 19:53:00 -0300

retroarch (1.3.6+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Fix build with ffmpeg 4.0. (Closes: #888356)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 11 Jul 2018 21:35:41 +0200

retroarch (1.3.6+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Changed package maintainer to Debian Games Team.
  * Fixed hardening-no-bindnow, hardening-no-pie.
  * Fixed hardening-no-fortify-functions (CPPFLAGS patch).

 -- Sérgio Benjamim <sergio_br2@yahoo.com.br>  Tue, 23 Aug 2016 22:44:00 -0300

retroarch (1.3.0+dfsg1-1) unstable; urgency=low

  * Removed Sony copyrighted files.

 -- Sérgio Benjamim <sergio_br2@yahoo.com.br>  Tue, 17 May 2016 22:21:00 -0300

retroarch (1.3.0-2) unstable; urgency=low

  * Removed debug packages from control (automatic -dbgsym packages).

 -- Sérgio Benjamim <sergio_br2@yahoo.com.br>  Sun, 10 Apr 2016 22:36:00 -0300

retroarch (1.3.0-1) unstable; urgency=low

  * Initial release (Closes: #792608).

 -- Sérgio Benjamim <sergio_br2@yahoo.com.br>  Wed, 23 Mar 2016 22:55:00 -0300
