=== debian/watch ===
version=4

https://github.com/libretro/RetroArch/releases \
.*/v?(\d\S*)\.tar\.gz
