## retroarch-dmo 1.15.0

=== debian/changelog ===
retroarch-dmo (1.15.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 11 Mar 2023 08:37:03 +0100

retroarch-dmo (1.14.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 13 Dec 2022 13:06:47 +0100

retroarch-dmo (1.13.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 19 Nov 2022 08:37:07 +0100

retroarch-dmo (1.12.0-dmo2) unstable; urgency=medium

  * Build with libflac12

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Oct 2022 16:07:16 +0200

retroarch-dmo (1.12.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 17 Oct 2022 08:36:59 +0200

retroarch-dmo (1.11.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 04 Oct 2022 08:53:15 +0200

retroarch-dmo (1.11.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 30 Sep 2022 19:05:23 +0200

retroarch-dmo (1.10.3-dmo3) unstable; urgency=medium

  * Build with ffmpeg 5.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Jun 2022 15:01:25 +0200

retroarch-dmo (1.10.3-dmo2) unstable; urgency=medium

  * Build with libssl3

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 14 May 2022 08:20:48 +0200

retroarch-dmo (1.10.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 12 Apr 2022 08:40:14 +0200

retroarch-dmo (1.10.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Mar 2022 01:03:34 +0100

retroarch-dmo (1.10.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 04 Mar 2022 16:29:21 +0100

retroarch-dmo (1.10.0-dmo3) unstable; urgency=medium

  * Build with mbedtls 2.28

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 17 Feb 2022 08:14:55 +0100

retroarch-dmo (1.10.0-dmo2) unstable; urgency=medium

  * Build armhf with --disable-videocore

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 08 Feb 2022 16:47:40 +0100

retroarch-dmo (1.10.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Jan 2022 07:29:59 +0100

retroarch-dmo (1.9.14-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 06 Dec 2021 13:57:41 +0100

retroarch-dmo (1.9.13.2-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 13 Nov 2021 11:22:47 +0100

retroarch-dmo (1.9.13.1-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 12 Nov 2021 07:57:10 +0100

retroarch-dmo (1.9.13-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Nov 2021 09:08:49 +0100

retroarch-dmo (1.9.12-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 24 Oct 2021 08:44:55 +0200

retroarch-dmo (1.9.11-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Oct 2021 02:02:40 +0200

retroarch-dmo (1.9.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Sep 2021 07:42:50 +0200

retroarch-dmo (1.9.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 05 Sep 2021 09:30:37 +0200

retroarch-dmo (1.9.8-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 23 Aug 2021 09:13:40 +0200
