=== debian/rules ===
--- 
+++ 
@@ -8,16 +8,19 @@
 ifeq ($(ARCH), $(filter $(ARCH), amd64 i386))
 	CONFIG_EXTRA_FLAGS=--enable-sse
 else ifeq ($(ARCH),armhf)
-# Doesn't build with --enable-neon (I don't knwo why).
-	CONFIG_EXTRA_FLAGS=--disable-cg --enable-opengles --enable-floathard
+# Doesn't build with --enable-neon (I don't know why).
+	CONFIG_EXTRA_FLAGS=--disable-cg --enable-opengles --enable-floathard --disable-videocore
+	PARALLEL=--no-parallel
 else ifeq ($(ARCH),arm64)
 	CONFIG_EXTRA_FLAGS=--disable-cg --enable-opengles
+	PARALLEL=--no-parallel
 endif
 
+
 %:
-	dh $@ --with quilt
+	dh $@ --with quilt $(PARALLEL)
 
-override_dh_auto_configure:
+execute_before_dh_auto_configure:
 	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' \
 		retroarch.cfg > debian/retroarch.cfg
 	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' \
@@ -25,12 +28,10 @@
 	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' \
 		debian/retroarch.install.in > debian/retroarch.install
 
+override_dh_auto_configure:
 	./configure --prefix=/usr --disable-vg \
-	--disable-builtinflac --disable-builtinzlib --disable-builtinminiupnpc \
-	--disable-builtinmbedtls  \
+	--disable-builtinflac --disable-builtinzlib --disable-builtinmbedtls \
 	$(CONFIG_EXTRA_FLAGS)
-
-# --disable-builtinglslang --disable-spirv_cross
 
 #	exit 1
 
@@ -63,10 +64,9 @@
 	-rm -rf deps/vita*
 #	-rm -rf deps/glslang
 	-rm -rf deps/wayland-protocols
-	-rm -rf deps/miniupnpc
 
 	-rm gfx/common/wayland/*.c
-	-rm gfx/common/wayland/*.h
+#	-rm gfx/common/wayland/*.h
 
 
 override_dh_auto_clean:
