=== gfx/include/userland/host_applications/linux/apps/hello_pi/hello_jpeg/Makefile ===
OBJS=jpeg.o
BIN=hello_jpeg.bin
LDFLAGS+=-lilclient

include ../Makefile.include
