=== debian/changelog ===
retroarch-dmo (1:1.21.1-dmo2) unstable; urgency=medium

  * Build with ffmpeg 8

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Sep 2025 07:19:48 +0200

retroarch-dmo (1:1.21.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 29 Apr 2025 08:45:20 +0200

retroarch-dmo (1:1.20.0-dmo3+b1) unstable; urgency=medium

  * Build with libflac12

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 22 Feb 2025 09:02:39 +0100

retroarch-dmo (1:1.20.0-dmo3) unstable; urgency=medium

  * Add libpipewire-0.3-dev and liblzma-dev to Build-Depends.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Feb 2025 08:29:34 +0100

retroarch-dmo (1:1.20.0-dmo2) unstable; urgency=medium

  * Build with Qt6
  * Don't disable dh_auto_install

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 16 Jan 2025 09:15:27 +0100

retroarch-dmo (1:1.20.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 03 Jan 2025 09:11:12 +0100

retroarch-dmo (1:1.19.1-dmo2) unstable; urgency=medium

  * Build with mbedtls 3.6.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 18 Oct 2024 15:06:57 +0200

retroarch-dmo (1:1.19.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 04 Jun 2024 07:59:29 +0200

retroarch-dmo (1:1.19.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 30 May 2024 08:49:27 +0200

retroarch-dmo (1:1.18.0-dmo2) unstable; urgency=medium

  * Add patch from PR#16499 to fix build with ffmpeg 7.x

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 06 May 2024 08:39:30 +0200

retroarch-dmo (1:1.18.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 22 Mar 2024 01:15:01 +0100

retroarch-dmo (1:1.17.0-dmo2) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Mar 2024 09:50:12 +0100

retroarch-dmo (1:1.17.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 04 Feb 2024 08:30:23 +0100

retroarch-dmo (1:1.16.0.3-dmo2) unstable; urgency=medium

  * Build with --disable-update_assets

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 21 Dec 2023 09:19:24 +0100

retroarch-dmo (1.16.0.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 29 Sep 2023 08:10:26 +0200

retroarch-dmo (1.16.0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 28 Sep 2023 08:12:07 +0200

retroarch-dmo (1.16.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 27 Sep 2023 08:16:11 +0200

retroarch-dmo (1.16.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 22 Sep 2023 07:50:08 +0200
