## retroarch-dmo 1.22.2

=== debian/changelog ===
retroarch-dmo (1:1.22.2-dmo1) unstable; urgency=medium

  * New upstream release.
  * Temporary fix: build against bundled flac

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 11 Dec 2025 00:46:29 +0100
