=== debian/control ===
Source: retroarch-dmo
Section: otherosfs
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.libretro.com/
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libasound2-dev,
 libavcodec-dev, quilt, libavdevice-dev, libavformat-dev, libavutil-dev,
 libdrm-dev, libegl1-mesa-dev, libfreetype-dev, libgbm-dev (>= 9.0),
 libglm-dev, libjack-jackd2-dev, libopenal-dev, libpulse-dev, libsdl2-dev,
 libswscale-dev, libudev-dev, libusb-1.0-0-dev (>= 1.0.16), libv4l-dev,
 libvulkan-dev, libx11-xcb-dev, libxinerama-dev, libxml2-dev, libxv-dev,
 pkgconf, python3-dev, libsixel-dev, x11proto-dev, zlib1g-dev, libflac-dev,
 libmbedtls-dev (>= 2.28.0~), glslang-dev, libssl-dev, wayland-protocols,
 libcaca-dev, libass-dev, libsystemd-dev, oss4-dev, spirv-tools,
 libdecor-0-dev, qt6-base-dev, libpipewire-0.3-dev, liblzma-dev,

Package: retroarch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, fonts-dejavu-core, libretro-core-info, retroarch-assets,
Description: Simple frontend for the libretro library
 RetroArch is an open source, multi-platform frontend for the libretro API.
 It can be used as a modular multi emulator system, game engine, media
 player and 3D technical demonstration. These features are available
 through libretro cores.
 .
 It provides three built-in GUI: RGUI, XMB and GLUI.

Package: retroarch-dev
Architecture: all
Section: devel
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Development files for the libretro library
 RetroArch is an open source, multi-platform frontend for the libretro API.
 It can be used as a modular multi emulator system, game engine, media player
 and 3D technical demonstration. These features are available through
 libretro cores.
 .
 This package contains include files of use to projects that are integrating
 with the libretro ecosystem.
