=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 export DEB_CXXFLAGS_MAINT_STRIP=-O2
 export DEB_CFLAGS_MAINT_STRIP=-O2
+
+##export DEB_CFLAGS_MAINT_APPEND=-DHAVE_DR_FLAC=0
 
 ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 
@@ -32,12 +34,12 @@
 override_dh_auto_configure:
 	./configure \
 	$(CONFIG_EXTRA_FLAGS) \
-	--disable-builtinflac \
 	--disable-builtinmbedtls \
 	--disable-builtinzlib \
 	--disable-update_assets \
 	--disable-vg \
 	--enable-dbus \
+	--enable-builtinflac \
 	--prefix=/usr
 
 #	exit 1
